CommonPaper API Docs
API Documentation

View and manage users in your organization


Get Current User

GET
https://api.commonpaper.com
/v1/me

Returns the profile information of the currently authenticated user, plus the organization the connection acts on (organization_id and organization_name). Use organization_id to confirm which account you are connected to. This endpoint is only available when authenticating via OAuth (for example through MCP). Requests authenticated with an API key receive a 403 response.

Get Current User › Headers

Authorization
​string · required

The Authorization header is used to authenticate with the API using your API key. Value is of the format Bearer YOUR_KEY_HERE.

Get Current User › Responses

OK


List Users

GET
https://api.commonpaper.com
/v1/users

This endpoint returns a list of all users within your Common Paper organization.

List Users › query Parameters

filter[email_eq]
​string

Filter users by exact email address.

filter[email_cont]
​string

Filter users where the email contains the given value.

List Users › Headers

Authorization
​string · required

The Authorization header is used to authenticate with the API using your API key. Value is of the format Bearer YOUR_KEY_HERE.

List Users › Responses

OK


Get User

GET
https://api.commonpaper.com
/v1/users/{id}

This endpoint returns the profile information of a specific user within your Common Paper accouunt based on their uuid. Returns the user's profile information, such as their name, email, and role.

Get User › path Parameters

id
​string · uuid · required

The UUID of the resource.

Get User › Headers

Authorization
​string · required

The Authorization header is used to authenticate with the API using your API key. Value is of the format Bearer YOUR_KEY_HERE.

Get User › Responses

OK